PHP Manual
Prev |  | Next

# PDOStatement->fetchColumn()

(no version information, might be only in CVS)

PDOStatement->fetchColumn() -- Returns a single column from the next row of a result set

## Description

class PDOStatement {
string fetchColumn ( [int column_number] )
}

Returns a single column from the next row of a result set or `FALSE` if there are no more rows.

## Parameters

`column_number`

  0-indexed number of the column you wish to retrieve from the row. If no value is supplied, PDOStatement->fetchColumn() fetches the first column.

## Return Values

PDOStatement->fetchColumn() returns a single column in the next row of a result set.

Warning
There is no way to return another column from the same row if you use PDOStatement->fetchColumn() to retrieve data.

## Examples

Example 1. Return first column of the next row

`<?php
$sth = $dbh->prepare("SELECT name, colour FROM fruit");
$sth->execute();
/* Fetch the first column from the next row in the result set */
print("Fetch the first column from the next row in the result set:\n");
$result = $sth->fetchColumn();
print("name = $result\n");
print("Fetch the second column from the next row in the result set:\n");
$result = $sth->fetchColumn(1);
print("colour = $result\n");
?>`

The above example will output:

    Fetch the first column from the next row in the result set:
    name = lemon
    Fetch the second column from the next row in the result set:
    colour = red

## See Also

PDO->query()
PDOStatement->fetch()
PDOStatement->fetchAll()
PDO->prepare()
PDOStatement->setFetchMode()

Prev | Home | Next
PDOStatement->fetchAll() | Up | PDOStatement->fetchObject()